> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noramp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhooks Events



## OpenAPI

````yaml get /webhooks/{app_id}/events
openapi: 3.1.0
info:
  title: NoRamp
  description: NoRamp API
  version: '1.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /webhooks/{app_id}/events:
    get:
      operationId: WebhooksController_fetchEvents
      parameters:
        - name: page
          required: false
          in: query
          schema:
            default: 1
            type: number
            minimum: 1
        - name: take
          required: false
          in: query
          schema:
            default: 100
            type: number
            minimum: 1
        - name: app_id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookEventDto'
components:
  schemas:
    WebhookEventDto:
      type: object
      properties:
        id:
          type: string
        event_type:
          enum:
            - test
            - payment
          type: string
        status:
          enum:
            - queued
            - processing
            - succeeded
            - failed
            - delayed
          type: string
        payload:
          type: object
        retries:
          type: number
        last_retry_at:
          format: date-time
          type: string
        last_log:
          $ref: '#/components/schemas/WebhookLogDto'
        webhook:
          $ref: '#/components/schemas/WebhookDto'
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - event_type
        - status
        - payload
        - retries
        - last_retry_at
        - webhook
        - created_at
        - updated_at
    WebhookLogDto:
      type: object
      properties:
        id:
          type: string
        response_status:
          type: number
        response_body:
          type: string
        webhook_event:
          $ref: '#/components/schemas/WebhookEventDto'
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - response_status
        - response_body
        - webhook_event
        - created_at
        - updated_at
    WebhookDto:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        app:
          $ref: '#/components/schemas/AppDto'
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - url
        - app
        - created_at
        - updated_at
    AppDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - individual
            - marketplace
        kyc_return_url:
          type: string
          nullable: true
        use_explorer:
          type: boolean
        permissions:
          $ref: '#/components/schemas/AppPermissionsDto'
        app_fee:
          type: number
        user:
          $ref: '#/components/schemas/UserProfileDto'
        is_member:
          type: boolean
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - name
        - type
        - kyc_return_url
        - use_explorer
    AppPermissionsDto:
      type: object
      properties:
        can_view:
          type: boolean
        can_edit:
          type: boolean
        can_delete:
          type: boolean
        can_edit_members:
          type: boolean
      required:
        - can_view
        - can_edit
        - can_delete
    UserProfileDto:
      type: object
      properties:
        id:
          type: string
        username:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
      required:
        - id
        - username
        - first_name
        - last_name

````